Page 1 of 2 12 LastLast
Results 1 to 10 of 16

Thread: KDE 4.13 - kmail error

  1. #1
    Join Date
    Aug 2010
    Location
    Bratislava, Slovakia
    Posts
    27

    Default KDE 4.13 - kmail error

    Hi,

    When I start kmail, this message occurs:

    kmail: symbol lookup error: /usr/lib64/libpimcommon.so.4: undefined symbol: _ZTIN6KGAPI25Drive4FileE

    Opensuse 13.1 KDE 4.13 (http://download.opensuse.org/reposit...openSUSE_13.1/)

    thanks, miso

  2. #2

    Default Re: KDE 4.13 - kmail error

    Quote Originally Posted by hlavki View Post
    Hi,

    When I start kmail, this message occurs:

    kmail: symbol lookup error: /usr/lib64/libpimcommon.so.4: undefined symbol: _ZTIN6KGAPI25Drive4FileE

    Opensuse 13.1 KDE 4.13 (http://download.opensuse.org/reposit...openSUSE_13.1/)

    thanks, miso
    Same here - just after 4.13 update from KDECurrent

    Thanks,
    Michal

  3. #3

    Default Re: KDE 4.13 - kmail error

    Quote Originally Posted by hlavki View Post
    Hi,

    When I start kmail, this message occurs:

    kmail: symbol lookup error: /usr/lib64/libpimcommon.so.4: undefined symbol: _ZTIN6KGAPI25Drive4FileE

    Opensuse 13.1 KDE 4.13 (http://download.opensuse.org/reposit...openSUSE_13.1/)

    thanks, miso
    Note that after upgrade kdepimlibs4 and libkdepimlibs4 version is 4.13.0-3.1 whereas kmail and other KDE packages version is 4.13.0-3.2
    Don't know if it is the cause.

    Thanks,
    Michal

  4. #4

    Default Re: KDE 4.13 - kmail error

    Quote Originally Posted by hlavki View Post
    Hi,

    When I start kmail, this message occurs:

    kmail: symbol lookup error: /usr/lib64/libpimcommon.so.4: undefined symbol: _ZTIN6KGAPI25Drive4FileE

    Opensuse 13.1 KDE 4.13 (http://download.opensuse.org/reposit...openSUSE_13.1/)

    thanks, miso

    Could you or anybody else who solved this post a solution here?

  5. #5
    Join Date
    Jun 2008
    Location
    San Diego
    Posts
    58

    Default Re: KDE 4.13 - kmail error

    Just wanted to also post to this thread that I have the same problem. Has anyone opened up a bug report?

  6. #6
    Join Date
    Oct 2008
    Location
    Glasgow, Scotland
    Posts
    1,131

    Default Re: KDE 4.13 - kmail error

    Quote Originally Posted by mkleczek View Post
    Note that after upgrade kdepimlibs4 and libkdepimlibs4 version is 4.13.0-3.1 whereas kmail and other KDE packages versionkde:extra-current-13.1 is 4.13.0-3.2
    I do not see this problem. Did you upgrade with "zypper up"? I used:
    Code:
    #  zypper dup --from kde:current-13.1 --from kde:extra-current-13.1 --from Packmaan-13.1
    I did have a problem with Knotes migrarion losing all notes, and System Settings > Desktop Search is gone.
    ~Thank you for sharing an interesting problem.
    --
    slàinte mhath,
    rayH

  7. #7

    Default Re: KDE 4.13 - kmail error

    Quote Originally Posted by eng-int View Post
    I do not see this problem. Did you upgrade with "zypper up"? I used:
    Code:
    #  zypper dup --from kde:current-13.1 --from kde:extra-current-13.1 --from Packmaan-13.1
    I did have a problem with Knotes migrarion losing all notes, and System Settings > Desktop Search is gone.
    This is what zypper shows:
    Code:
    michal@mkleczek-laptop:~> zypper if kmail kdepimlibs4
    Loading repository data...
    Reading installed packages...
    
    
    
    
    Information for package kmail:
    ------------------------------
    Repository: OpenSuse KDE Current
    Name: kmail
    Version: 4.13.0-3.2
    Arch: x86_64
    Vendor: obs://build.opensuse.org/KDE
    Installed: Yes
    Status: up-to-date
    Installed Size: 4.5 MiB
    Summary: Mail Client
    Description: 
    KMail is the KDE mail client.
    
    
    Information for package kdepimlibs4:
    ------------------------------------
    Repository: OpenSuse KDE Current
    Name: kdepimlibs4
    Version: 4.13.0-3.1
    Arch: x86_64
    Vendor: obs://build.opensuse.org/KDE
    Installed: Yes
    Status: up-to-date
    Installed Size: 2.0 MiB
    Summary: KDE PIM Libraries
    Description: 
    This package contains the basic packages for KDE PIM applications.
    It is consistent with what I see in the browser at http://download.opensuse.org/reposit...E_13.1/x86_64/

    Thanks,
    Michal

  8. #8
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    3,927

    Default AW: Re: KDE 4.13 - kmail error

    Quote Originally Posted by eng-int View Post
    I do not see this problem. Did you upgrade with "zypper up"? I used:
    Code:
    #  zypper dup --from kde:current-13.1 --from kde:extra-current-13.1 --from Packmaan-13.1
    I did have a problem with Knotes migrarion losing all notes, and System Settings > Desktop Search is gone.
    That did for me the trick:
    Code:
    zypper dup --from KDE412 --from KDE412-Extra --from Packman
    Daten des Repositories laden ...
    Installierte Pakete lesen ...
    Distributionsaktualisierung berechnen ...
    
    The following NEW package is going to be installed:
      libkolabxml1 
    
    The following 5 packages are going to be upgraded:
      kid3 libgrantlee_core0 libgrantlee_gui0 libkgapi2-2 libkolab0 
    
    The following 2 packages are going to be downgraded:
      easytag easytag-lang 
    
    The following package is going to be reinstalled:
      appmenu-qt 
    
    The following 7 packages are going to change vendor:
      easytag            openSUSE -> http://packman.links2linux.de                    
      easytag-lang       openSUSE -> http://packman.links2linux.de                    
      kid3               obs://build.opensuse.org/KDE -> http://packman.links2linux.de
      libgrantlee_core0  openSUSE -> obs://build.opensuse.org/KDE                     
      libgrantlee_gui0   openSUSE -> obs://build.opensuse.org/KDE                     
      libkgapi2-2        openSUSE -> obs://build.opensuse.org/KDE                     
      libkolab0          openSUSE -> obs://build.opensuse.org/KDE                     
    
    
    5 Pakete werden aktualisiert, 2 werden zurückgestuft, 1 neu, 1 erneut zu installieren, 7  Anbieterwechsel.
    Gesamtgröße des Downloads: 2,2 MiB. Nach der Operation werden zusätzlich 2,4 MiB belegt.
    The Name KDE412 is the Name for the current-Repo:
    http://download.opensuse.org/reposit...openSUSE_13.1/
    Also KDE412-Extra.

  9. #9
    Join Date
    Oct 2008
    Location
    Glasgow, Scotland
    Posts
    1,131

    Default Re: KDE 4.13 - kmail error

    Quote Originally Posted by jonrwads View Post
    Has anyone opened up a bug report?
    Before imagining bugs, it would be useful if those with problems discovered why they are having them when others do not. No-one in this thread has disclosed how they attempted the upgrade, or whether they read any of the release notes or the announcement from caf4926 here
    https://forums.opensuse.org/showthre...om-KDE_Current
    ~Thank you for sharing an interesting problem.
    --
    slàinte mhath,
    rayH

  10. #10

    Default Re: AW: Re: KDE 4.13 - kmail error

    Quote Originally Posted by Sauerland View Post
    That did for me the trick:
    [CODE]zypper dup --from KDE412 --from KDE412-Extra --from Packman[CODE]
    The Name KDE412 is the Name for the current-Repo:
    http://download.opensuse.org/reposit...openSUSE_13.1/
    Also KDE412-Extra.
    That did the trick for me as well. Looks like I had some stale packages from KDE 4.12 left.

    Thanks,
    Michal

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •